Bug 1361206 - SELinux: Could not open policy file <= /etc/selinux/targeted/policy/policy.30: No such file or directory
Summary: SELinux: Could not open policy file <= /etc/selinux/targeted/policy/policy.3...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 13:43 UTC by Vedran Miletić
Modified: 2016-08-08 23:53 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-01 16:24:06 UTC


Attachments (Terms of Use)

Description Vedran Miletić 2016-07-28 13:43:31 UTC
Installing Chromium on Fedora 24 with SELinux disabled gives:

Running transaction
  Installing  : re2-20160401-2.fc24.x86_64                                                                                                                                                                                                                                                        1/4 
  Installing  : chromium-libs-52.0.2743.82-4.fc24.x86_64                                                                                                                                                                                                                                          2/4 
  Installing  : u2f-hidraw-policy-1.0.2-2.fc24.x86_64                                                                                                                                                                                                                                             3/4 
  Installing  : chromium-52.0.2743.82-4.fc24.x86_64                                                                                                                                                                                                                                               4/4 
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
FileNotFoundError: [Errno 2] No such file or directory
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
FileNotFoundError: [Errno 2] No such file or directory
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
FileNotFoundError: [Errno 2] No such file or directory
  Verifying   : chromium-libs-52.0.2743.82-4.fc24.x86_64                                                                                                                                                                                                                                          1/4 
  Verifying   : chromium-52.0.2743.82-4.fc24.x86_64                                                                                                                                                                                                                                               2/4 
  Verifying   : re2-20160401-2.fc24.x86_64                                                                                                                                                                                                                                                        3/4 
  Verifying   : u2f-hidraw-policy-1.0.2-2.fc24.x86_64

# ls /etc/selinux/targeted/policy/policy.30
/etc/selinux/targeted/policy/policy.30
# getenforce
Disabled

Comment 1 Tom "spot" Callaway 2016-07-28 14:56:42 UTC
I'm tempted to say that the fix here is to enable selinux... but the scriptlet is being conditionalized to only run when selinux is enabled.

Comment 2 Fedora Update System 2016-07-28 21:02:01 UTC
chromium-52.0.2743.82-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccb3e3d8e1

Comment 3 Fedora Update System 2016-07-28 21:02:19 UTC
chromium-native_client-52.0.2743.82-1.20160725git7d72623.fc24 chromium-52.0.2743.82-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc48263ff8

Comment 4 Fedora Update System 2016-07-30 19:27:34 UTC
chromium-52.0.2743.82-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccb3e3d8e1

Comment 5 Fedora Update System 2016-07-30 19:27:58 UTC
chromium-52.0.2743.82-9.fc24, chromium-native_client-52.0.2743.82-1.20160725git7d72623.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc48263ff8

Comment 6 Vedran Miletić 2016-07-31 17:49:08 UTC
(In reply to Tom "spot" Callaway from comment #1)
> I'm tempted to say that the fix here is to enable selinux...

Agree. If it was up to me, it would be enabled. Thanks for fixing the issue, will check if it works.

Comment 7 Fedora Update System 2016-08-01 16:23:34 UTC
chromium-52.0.2743.82-9.fc24, chromium-native_client-52.0.2743.82-1.20160725git7d72623.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-08-08 23:53:07 UTC
chromium-52.0.2743.82-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.